local gearT = {
    [-1] = "R",
    [0] = "N",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8"
    
}

local orange = rgb(0,1,1.7)
local blue = rgb(1,1,1)
local red = rgb(1,0,0)
local white = rgb(1,.4,0)


function update(dt)
    display.text({ text = math.floor(car.speedKmh / 1.609344), pos = vec2(328, 225), letter = vec2(40, 80), font = 'e92_big', color = white, alignment =1, width = 251, spacing = -3})
    display.text({ text = string.format("%02.f", sim.ambientTemperature), pos = vec2(215.1, 185.2), letter = vec2(29, 55), font = 'digital_big', color = white, alignment =1, width = 0, spacing = .01 })
    display.text({ text = gearT[car.gear], pos = vec2(455, 150), letter = vec2(40, 85), font = 'digital_big', color = white, alignment =0.5, width = 1, spacing = 1 })
    display.text({ text = string.format("%05d", car.distanceDrivenTotalKm), pos = vec2(119, 150), letter = vec2(13, 23), font = 'digital_big', color = white, alignment =0.0, width = 0, spacing = 1 })
    display.text({ text = string.format("%05d", car.distanceDrivenSessionKm), pos = vec2(169, 150), letter = vec2(13, 23), font = 'digital_big', color = white, alignment =1, width = 150, spacing = 1 })
    display.text({ text = string.format("%02d:%02d", sim.timeHours, sim.timeMinutes), pos = vec2(1555,413), letter = vec2(31, 35), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
    display.text({ text = string.format("%.1f", car.fuel), pos = vec2(354, 385), letter = vec2(15, 35), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 0})
   end




      
  
   